import request from '@/utils/request'

// 查询商品规格列表
export function listGoodsSkuSpec(query) {
    return request({
        url: '/mapi/goods/goodsSkuSpec/list',
        method: 'get',
        params: query
    })
}

// 查询商品规格详细
export function getGoodsSkuSpec(id) {
    return request({
        url: '/mapi/goods/goodsSkuSpec/' + id,
        method: 'get'
    })
}

// 新增商品规格
export function addGoodsSkuSpec(data) {
    return request({
        url: '/mapi/goods/goodsSkuSpec',
        method: 'post',
        data: data
    })
}

// 修改商品规格
export function updateGoodsSkuSpec(data) {
    return request({
        url: '/mapi/goods/goodsSkuSpec',
        method: 'put',
        data: data
    })
}

// 删除商品规格
export function delGoodsSkuSpec(id) {
    return request({
        url: '/mapi/goods/goodsSkuSpec/' + id,
        method: 'delete'
    })
}


// 修改商品规格状态
export function updateGoodsSkuSpecStatus(id,status) {
    const data = {
        id,
        status
    }
    return request({
        url: '/mapi/goods/goodsSkuSpec/updateStatus',
        method: 'post',
        data: data
    })
}